37

I've searched and searched, but I can't find anything, besides compiling it, which gives me an error about ASM.

  • In the future, you should post the error as it usually compiles just fine after installing all dependencies. Although, the recommended method is apt-get. – mchid Jul 10 '16 at 17:47
70

You can install avconv with package libav-tools

sudo apt-get install libav-tools
| improve this answer | |
  • Just to clarify, this doesn't work in Ubuntu > v14 as there's no libav-tools package. Follow the advice below by @Seandex – AdamJones Oct 14 at 16:51
9

Unfortunately, those answer won't work on Bionic version because FFmpeg won't include the avahi libraries in the package. you will have to install libav-tools manually in order to get avconv_cli

sudo apt install ffmpeg  #requirement to run avahi
wget http://launchpadlibrarian.net/348889634/libav-tools_3.4.1-1_all.deb
sudo dpkg -i libav-tools_3.4.1-1_all.deb

I'm adding this answer here because this topic looks like the only one discusses the avconv but the answers are not for the later versions of Ubuntu distro. But why would you if you could get the same result from ffmpeg.

| improve this answer | |
  • 1
    Thanks, this was helpful. But to be clear, you still need to have ffmpeg installed before installing the deb above. – James Bradbury Sep 10 '18 at 16:50
  • 1
    @JamesBradbury You are correct. because libav-tools depends on FFmpeg. It was for some people who were expecting FFmpeg includes libav-tools however, I should've been mentioned FFmpeg to be as clear as possible and error free. Thanks. – Seandex Sep 24 '18 at 10:17
3

open your terminal and type as

sudo apt-get install ffmpeg libav-tools
| improve this answer | |
  • Just to clarify, this doesn't work in Ubuntu > v14 as there's no libav-tools package – AdamJones Oct 14 at 16:12
3
sudo apt-get install ffmpeg

This will also install the libav-tools by default

| improve this answer | |

Your Answer

By clicking “Post Your Answer”, you agree to our terms of service, privacy policy and cookie policy

Not the answer you're looking for? Browse other questions tagged or ask your own question.